<?php
/**
 * @file
 * drustack_blog.features.user_permission.inc
 */

/**
 * Implements hook_user_default_permissions().
 */
function drustack_blog_user_default_permissions() {
  $permissions = array();

  // Exported permission: administer gravatar.
  $permissions['administer gravatar'] = array(
    'name' => 'administer gravatar',
    'roles' => array(
      0 => 'administrator',
    ),
    'module' => 'gravatar',
  );

  // Exported permission: create blog content.
  $permissions['create blog content'] = array(
    'name' => 'create blog content',
    'roles' => array(
      0 => 'administrator',
      1 => 'power user',
    ),
    'module' => 'node',
  );

  // Exported permission: delete own blog content.
  $permissions['delete own blog content'] = array(
    'name' => 'delete own blog content',
    'roles' => array(
      0 => 'administrator',
      1 => 'power user',
    ),
    'module' => 'node',
  );

  // Exported permission: disable own gravatar.
  $permissions['disable own gravatar'] = array(
    'name' => 'disable own gravatar',
    'roles' => array(
      0 => 'administrator',
      1 => 'authenticated user',
    ),
    'module' => 'gravatar',
  );

  // Exported permission: edit own blog content.
  $permissions['edit own blog content'] = array(
    'name' => 'edit own blog content',
    'roles' => array(
      0 => 'administrator',
      1 => 'power user',
    ),
    'module' => 'node',
  );

  // Exported permission: use gravatar.
  $permissions['use gravatar'] = array(
    'name' => 'use gravatar',
    'roles' => array(
      0 => 'administrator',
      1 => 'anonymous user',
      2 => 'authenticated user',
    ),
    'module' => 'gravatar',
  );

  return $permissions;
}
